package cn.timer.api.dto.spmk;

import javax.persistence.Entity;

import cn.hutool.json.JSONObject;
import cn.timer.api.bean.spmk.SpmkApproveDetail;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkApproveDetailDto {

	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "审批汇总id 审批汇总id", example = "101")
	private Integer approveSummaryId;

	@ApiModelProperty(value = "标题 ", example = "标题")
	private String name;

	@ApiModelProperty(value = "所在部门名称 ", example = "所在部门名称")
	private String departmentName;

	@ApiModelProperty(value = "申请数据 ", example = "申请数据")
	private JSONObject requestData;

	@ApiModelProperty(value = "审批表单 ", example = "审批表单")
	private JSONObject froms;

	@ApiModelProperty(value = "审批流程 ", example = "审批流程")
	private Router router;

	
}
